Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.xpath
Class XPathToQueryTranslator.DualPathLikeBuilder

    java.lang.Object
      org.modeshape.jcr.query.xpath.XPathToQueryTranslator.DualPathLikeBuilder

All Implemented Interfaces:
  XPathToQueryTranslator.PathLikeBuilder

Enclosing class:
  XPathToQueryTranslator

    protected static class XPathToQueryTranslator.DualPathLikeBuilder

extends Object
implements XPathToQueryTranslator.PathLikeBuilder

Constructor Summary
`protected` | `XPathToQueryTranslator.DualPathLikeBuilder(XPathToQueryTranslator.PathLikeBuilder builder1, XPathToQueryTranslator.PathLikeBuilder builder2)`

Method Summary
`XPathToQueryTranslator.DualPathLikeBuilder` | `append(char c)`
`XPathToQueryTranslator.DualPathLikeBuilder` | `append(String string)`
`XPathToQueryTranslator.DualPathLikeBuilder` | `clone()`
`String[]` | `getPaths()`
`boolean` | `isEmpty()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathToQueryTranslator.DualPathLikeBuilder

    protected XPathToQueryTranslator.DualPathLikeBuilder(XPathToQueryTranslator.PathLikeBuilder builder1,
                                                         XPathToQueryTranslator.PathLikeBuilder builder2)

Method Detail

### append

    public XPathToQueryTranslator.DualPathLikeBuilder append(String string)

  Specified by:
    `append` in interface `XPathToQueryTranslator.PathLikeBuilder`

### append

    public XPathToQueryTranslator.DualPathLikeBuilder append(char c)

  Specified by:
    `append` in interface `XPathToQueryTranslator.PathLikeBuilder`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `XPathToQueryTranslator.PathLikeBuilder`

### clone

    public XPathToQueryTranslator.DualPathLikeBuilder clone()

  Specified by:
    `clone` in interface `XPathToQueryTranslator.PathLikeBuilder`
  Overrides:
    `clone` in class `Object`

### getPaths

    public String[] getPaths()

  Specified by:
    `getPaths` in interface `XPathToQueryTranslator.PathLikeBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.